Bug 136925 - Yum's rebuilding contains "SyntaxError: invalid syntax" at "transactioninfo.py"
Yum's rebuilding contains "SyntaxError: invalid syntax" at "transactioninfo.py"
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2004-10-23 05:41 EDT by Robert Scheck
Modified: 2014-01-21 17:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-23 08:29:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-10-23 05:41:54 EDT
Description of problem:
If I rebuild the latest yum:

--- snipp ---
Compiling /var/tmp/yum-root//usr/lib/python2.3/site-packages/yum/transactioninfo.py ...
  File "transactioninfo.py", line 36
    def add(self, pkgtup)
SyntaxError: invalid syntax
--- snapp ---

Version-Release number of selected component (if applicable):

How reproducible:
Everytime, see below.

Steps to Reproduce:
1. Try to rebuild yum-2.1.10-3 from Fedora Development
Actual results:
Error at rebuilding

Expected results:
No error at rebuilding

Additional info:
I'm suggesting the following fix for it:

--- snipp ---
--- yum-2.1.10/yum/transactioninfo.py       2004-09-08 07:26:03.000000000 +0200
+++ yum-2.1.10/yum/transactioninfo.py.rsc   2004-10-23 11:43:30.000000000 +0200
@@ -33,7 +33,7 @@

         return None

-    def add(self, pkgtup)
+    def add(self, pkgtup):
         """add a package to the transaction"""

     def remove(self, pkgtup):
--- snapp ---
Comment 1 Seth Vidal 2004-10-23 08:02:37 EDT
transactioninfo.py is not yet used by yum. It is a placeholder for
more functions in the future.

What command did you use to rebuild yum? I've never encountered that
error doing builds of yum.
Comment 2 Robert Scheck 2004-10-23 08:06:26 EDT
Well, I simply rebuilt the yum src.rpm package using --rebuild and 
that error message was in the part where the .pyc files are compiled 
out of the .py ones.
Comment 3 Seth Vidal 2004-10-23 08:29:49 EDT
Ah, so it's a non-fatal message. That may be why I never noticed it.

When that file is actually used in yum I'll make sure I get it fixed up.


Note You need to log in before you can comment on or make changes to this bug.